# OpenLayers.Format.QueryStringFilter

Parser for reading a query string and creating a simple filter.

#### Inherits from

- OpenLayers.Format

Summary

OpenLayers.Format.QueryStringFilter | Parser for reading a query string and creating a simple filter.
Properties |
srsInBBOX | {Boolean} Include the SRS identifier in BBOX query string parameter.
Functions |
write | Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters.

### Properties

### srsInBBOX

{Boolean} Include the SRS identifier in BBOX query string parameter. Default is false. If true and the layer has a projection object set, any BBOX filter will be serialized with a fifth item identifying the projection. E.g. bbox=-1000,-1000,1000,1000,EPSG:900913

### Functions

### write

> write: function( | filter,
> | params | )

Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters. This function must be called as a method of a protocol instance.

#### Parameters

filter | {OpenLayers.Filter} filter to convert.
params | {Object} The parameters object.

#### Returns

{Object} The resulting parameters object.

> write: function( | filter,
> | params | )

Serialize an OpenLayers.Filter objects using the “simple” filter syntax for query string parameters.
This class represents an OGC Filter.
Base class for format reading/writing a variety of formats.
Close